Submit a Transaction

Submit a transaction to the EU information system.

Submitting a transaction to the EU information system involves multiple steps. First, when you submit a transaction using the PUT /transaction/{id}/submit endpoint, the status is set to TO_SUBMIT. Within approximately five minutes, our asynchronous processing system picks up the job and submits the transaction to the EU information system TRACES. Once the submission is successful, the status updates to SUBMITTED.

The current status of a transaction can be checked at any time by polling the: GET /transaction/{id} endpoint.

circle-info

Currently, all transactions are submitted to the TRACES Acceptance environment, which is a test environment and not legally binding.

Submit a transaction to be sent to traces.

put

Update the status property of a transaction to TO_SUBMIT.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
202Success
application/json
idstringRequired

id of this entity

Example: 02c36247-1aad-41ba-aa49-f114ca4c263f
statusstring · enumRequired

Status of this transaction.

Possible values:
customIdstringRequired

Custom identifier. Can be used for internal reference or tracking purposes.

Example: DEC-24-238620
activityTypestringRequired

Type of transaction to be performed.

Example: EXPORT
countryOfActivitystringRequired

Two-letter country code (ISO 3166 Alpha-2) of the place of activity. Depends on activityType. For import, Country of entry into the EU. For Export, Country of exit from the EU. For Domestic Production and Trade, EU country where goods are sourced, manufactured or produced or made available on the market.

Example: IT
isGeoLocationConfidentialbooleanRequired

Whether the geolocation data is confidential.

Example: false
customDataobjectOptional

Metadata related to the transaction. This can be used to store any additional information that is relevant to the transaction. The input object must fulfill the following requirements: - max <=10 keys - max key length of <=255 characters - max string value length of <=255 characters - values must be either strings, number, or booleans - keys cannot contain the substrings proto, constructor, or prototype

Example: {"key1":"someValue","key2":true,"key3":1234}
createdAtstringRequired

ISO 8601

Example: 2023-07-26T15:03:48Z
updatedAtstringRequired

ISO 8601

Example: 2023-07-28T09:13:37Z
put
/transactions/{id}/submit

Last updated